import os
import sqlite3

TABLE_ACCOUNTS  = "accounts"
TABLE_X         = "x_posts"

class DatabaseController:
    def __init__(self, db_name):
        self.conn = sqlite3.connect(db_name)
        self.cursor = self.conn.cursor()

    def run_query(self, query):
        try:
            self.cursor.execute(query)
            results = self.cursor.fetchall()
            return results
        except Exception as e:
            print(e)
            return None
        
    def run_command(self, command):
        try:
            self.cursor.execute(command)
            result = self.cursor.rowcount
            self.conn.commit()
            return result > 0
        except Exception as e:
            self.conn.rollback()
            print(e)
            return False

    def run_commands(self, commands):
        try:
            for command in commands:
                self.cursor.execute(command)
            result = self.cursor.rowcount
            self.conn.commit()
            return result > 0
        except Exception as e:
            self.conn.rollback()
            print(e)
            return False
        
    def close(self):
        self.conn.close()